import React from 'react';
import TemplateOne from '.';
import getPaymentData from '../../../../../../tests/factories/cards/payment.factory';

const paymentData = getPaymentData();

export default {
  title: 'Theme/Modules/Cards/Payments/Template Three',
  component: TemplateOne,
  argTypes: {
    item: {
      title: 'Payment Method Item',
      control: { type: 'object' },
      defaultValue: paymentData,
    },
  },
  useOneStarRating: {
    control: { type: 'boolean' },
  },
};

const Template = (args) => (
  <div
    style={{
      maxWidth: ' 34.3rem',
      margin: '0 auto',
    }}
  >
    <TemplateOne {...args} />
  </div>
);

export const Default = Template.bind({});

Default.args = {
  item: paymentData,
  useOneStarRating: true,
};
