import React from 'react';
import PropTypes from 'prop-types';
import LinkList from 'gatsby-core-theme/src/components/molecules/link-list';
import styles from './as-seen-on.module.scss';

const AsSeenOn = ({ asSeenOn, template }) => (
  <div
    className={`${styles?.asSeenOn || ''} ${
      template && styles[template] ? styles[template] || '' : ''
    }`}
  >
    <span>As Seen On:</span>
    <LinkList
      showListTitle={false}
      imageOnly
      singleList
      lists={asSeenOn}
      width={130}
      height={140}
      gtmClass="mobile-menu-gtm logo-cta"
    />
  </div>
);

export default AsSeenOn;

AsSeenOn.propTypes = {
  asSeenOn: PropTypes.shape({}),
  template: PropTypes.string,
};
