/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import { sampleOperatorCards } from '../../../../../tests/factories/modules/matrix/card.factory';
import TemplateOne from '../../../../gatsby-core-theme/components/molecules/module';

const operatorData = {
  ...sampleOperatorCards,
  style: null,
};

export default {
  title: 'Theme/Modules/Cards/Layout/Template One',
  component: TemplateOne,
  args: {
    module: operatorData,
  },
  parameters: {
    docs: {
      description: {
        component: 'A Default Footer Component - Template One',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <TemplateOne {...args} />;
export const Default = Template.bind({});
Default.args = {
  pageContext: {
    page: {},
  },
};
