/**
 * @name getFooterData
 * @description Mock data related to the footer
 * @return {Object} footer mock data
 */
export default function getFooterData() {
  const footer = {
    extra_fields: {
      gambling_text:
        'Irishluck publishes honest and quality reviews of online casinos and gambling information to Irish players. Read our online casino reviews written by casino experts today!',
      social_icons: {
        title: 'Footer social icons',
        short_code: 'social_icons',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            id: 2065,
            page_id: null,
            title: 'facebook',
            nofollow: true,
            open_in_new_tab: true,
            value: 'https://www.facebook.com/Irishluckie-249047260326929',
            image: '1678456571/fb.png',
            image_object: {
              width: '14',
              height: '14',
              url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1678456571/fb.png',
              title: 'Facebook icon',
              alt: 'Facebook Icon',
              filename: '1678456571/fb.png',
            },
          },
          {
            id: 2066,
            page_id: null,
            title: 'instagram',
            nofollow: true,
            open_in_new_tab: true,
            value: 'https://www.instagram.com/irish.luckie/',
            image: '1678456603/instagram.png',
            image_object: {
              width: '14',
              height: '14',
              url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1678456603/instagram.png',
              title: 'Instagram icon',
              alt: 'Instagram Icon',
              filename: '1678456603/instagram.png',
            },
          },
          {
            id: 18014,
            page_id: null,
            title: 'LinkedIn',
            nofollow: true,
            open_in_new_tab: true,
            value: 'https://www.linkedin.com/company/irishluckie/',
            image: '1678456612/linkedin.png',
            image_object: {
              width: '64',
              height: '64',
              url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1678456612/linkedin.png',
              title: 'linkedin-8',
              alt: '',
              filename: '1678456612/linkedin.png',
            },
          },
          {
            id: 2067,
            page_id: null,
            title: 'twitter',
            nofollow: true,
            open_in_new_tab: true,
            value: 'https://twitter.com/irishluckie_',
            image: '1678456620/twitter.png',
            image_object: {
              width: '14',
              height: '12',
              url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1678456620/twitter.png',
              title: 'Twitter icon',
              alt: 'Twitter Icon',
              filename: '1678456620/twitter.png',
            },
          },
          {
            id: 6480,
            page_id: null,
            title: 'youtube',
            nofollow: true,
            open_in_new_tab: true,
            value: 'https://www.youtube.com/channel/UCflMeLNG4C38rOJn-JB9qKQ',
            image: '1678456629/youtube.png',
            image_object: {
              width: '512',
              height: '512',
              url: 'https://assets-srv.s3.eu-west-1.amazonaws.com/1678456629/youtube.png',
              title: 'Youtube icon',
              alt: 'Youtube Icon',
              filename: '1678456629/youtube.png',
            },
          },
        ],
      },
      links: {
        title: 'Footer menu links',
        short_code: 'footer_menu_links',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            id: 2075,
            page_id: null,
            title: 'Irishluck.ie',
            nofollow: false,
            open_in_new_tab: false,
            value: null,
            image: null,
            image_object: null,
            children: [
              {
                id: 2076,
                page_id: 6236,
                title: 'About Us',
                nofollow: false,
                open_in_new_tab: false,
                value: 'about-us',
                image: null,
                image_object: null,
              },
              {
                id: 2580,
                page_id: 22317,
                title: 'Meet The Team',
                nofollow: false,
                open_in_new_tab: false,
                value: 'meet-the-team',
                image: null,
                image_object: null,
              },
              {
                id: 2579,
                page_id: 22324,
                title: 'Careers',
                nofollow: false,
                open_in_new_tab: false,
                value: 'careers',
                image: null,
                image_object: null,
              },
              {
                id: 2077,
                page_id: 3696,
                title: 'Contact Us',
                nofollow: false,
                open_in_new_tab: false,
                value: 'contact-us',
                image: null,
                image_object: null,
              },
              {
                id: 9102,
                page_id: 127434,
                title: 'Testimonials',
                nofollow: false,
                open_in_new_tab: false,
                value: 'testimonials',
                image: null,
                image_object: null,
              },
              {
                id: 2082,
                page_id: null,
                title: 'Sitemap',
                nofollow: false,
                open_in_new_tab: false,
                value: 'https://www.irishluck.ie/sitemap',
                image: null,
                image_object: null,
              },
            ],
          },
          {
            id: 2559,
            page_id: null,
            title: 'Information',
            nofollow: false,
            open_in_new_tab: false,
            value: null,
            image: null,
            image_object: null,
            children: [
              {
                id: 4440,
                page_id: 22318,
                title: 'Editorial Principles',
                nofollow: false,
                open_in_new_tab: false,
                value: 'editorial-principles',
                image: null,
                image_object: null,
              },
              {
                id: 4529,
                page_id: 51328,
                title: 'Rating Guidelines',
                nofollow: false,
                open_in_new_tab: false,
                value: 'rating-guide',
                image: null,
                image_object: null,
              },
              {
                id: 9662,
                page_id: 134076,
                title: 'Why Trust Us',
                nofollow: false,
                open_in_new_tab: false,
                value: 'trust',
                image: null,
                image_object: null,
              },
              {
                id: 2080,
                page_id: 3703,
                title: 'Terms and Conditions',
                nofollow: false,
                open_in_new_tab: false,
                value: 'terms-and-conditions',
                image: null,
                image_object: null,
              },
              {
                id: 2079,
                page_id: 6231,
                title: 'Privacy Policy',
                nofollow: false,
                open_in_new_tab: false,
                value: 'privacy-policy',
                image: null,
                image_object: null,
              },
              {
                id: 2078,
                page_id: 3704,
                title: 'Cookies',
                nofollow: false,
                open_in_new_tab: false,
                value: 'cookies',
                image: null,
                image_object: null,
              },
            ],
          },
          {
            id: 4519,
            page_id: null,
            title: 'Player Safety',
            nofollow: false,
            open_in_new_tab: false,
            value: null,
            image: null,
            image_object: null,
            children: [
              {
                id: 4521,
                page_id: 79452,
                title: 'Your Rights As A Player',
                nofollow: false,
                open_in_new_tab: false,
                value: 'know-your-rights-as-a-player',
                image: null,
                image_object: null,
              },
              {
                id: 2081,
                page_id: 6280,
                title: 'Responsible Gaming',
                nofollow: false,
                open_in_new_tab: false,
                value: 'responsible-gambling',
                image: null,
                image_object: null,
              },
              {
                id: 4520,
                page_id: 79454,
                title: 'Know Your Customer',
                nofollow: false,
                open_in_new_tab: false,
                value: 'know-your-customer',
                image: null,
                image_object: null,
              },
              {
                id: 9191,
                page_id: 127879,
                title: 'Regulations in Ireland',
                nofollow: false,
                open_in_new_tab: false,
                value: 'gambling-regulations-ireland',
                image: null,
                image_object: null,
              },
              {
                id: 5497,
                page_id: 85749,
                title: 'Security Policy',
                nofollow: false,
                open_in_new_tab: false,
                value: 'security-policy',
                image: null,
                image_object: null,
              },
            ],
          },
          {
            id: 18323,
            page_id: 127156,
            title: 'Test Footer links',
            nofollow: false,
            open_in_new_tab: false,
            value: 'winnerz-casino',
            image: null,
            image_object: null,
            children: [
              {
                id: 18324,
                page_id: 152630,
                title: 'Gambling Guides',
                nofollow: false,
                open_in_new_tab: false,
                value: 'leo-test',
                image: null,
                image_object: null,
              },
              {
                id: 18325,
                page_id: 152641,
                title: 'Payment Methods',
                nofollow: false,
                open_in_new_tab: false,
                value: 'test-dunc',
                image: null,
                image_object: null,
              },
              {
                id: 18326,
                page_id: 86185,
                title: 'Casino Bonuses',
                nofollow: false,
                open_in_new_tab: false,
                value: 'doggo-casino',
                image: null,
                image_object: null,
              },
              {
                id: 18327,
                page_id: 3705,
                title: 'Responsible Gambling',
                nofollow: false,
                open_in_new_tab: false,
                value: '/',
                image: null,
                image_object: null,
              },
            ],
          },
        ],
      },
      logos: {
        title: 'Footer Logos',
        short_code: 'footer_logos',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            id: 1744,
            title: '18',
            nofollow: false,
            image: '1654611290/begamble-aware.png',
          },
          {
            id: 1745,
            title: 'mga',
            nofollow: false,
            value: 'http://mga.com',
            image: '103d5265a3794e4c75f8df50e069e264.png',
          },
          {
            id: 1746,
            title: 'GC',
            nofollow: false,
            value: 'https://www.gamblingcommission.gov.uk/home.aspx',
            image: 'bb7ed658132b153260473a66aeb71e81.png',
          },
        ],
      },
      copyright_disclaimer:
        '<p>Except if declared otherwise, all of the visible content on this site such as texts and images, including the brand name and logo belongs to Innovation Labs Limited ( which is a subsidiary company of Gaming Innovation Group Inc.) - Company Registration Number C44130, St Julian`s, Malta.</p><p>Advertising Disclosure: Irishluck.ie contains links to partner websites. When a visitor to our website clicks on one of these links and makes a purchase at a partner site, Irishluck is paid a commission.</p>',
      as_seen_on: {
        title: 'As Seen On',
        short_code: 'footer_logos',
        language: 'en',
        market: 'ie_en',
        children: [
          {
            id: 1744,
            title: '18',
            nofollow: false,
            image: '1654611290/begamble-aware.png',
          },
          {
            id: 1745,
            title: 'mga',
            nofollow: false,
            value: 'http://mga.com',
            image: '103d5265a3794e4c75f8df50e069e264.png',
          },
          {
            id: 1746,
            title: 'GC',
            nofollow: false,
            value: 'https://www.gamblingcommission.gov.uk/home.aspx',
            image: 'bb7ed658132b153260473a66aeb71e81.png',
          },
        ],
      },
    },
    modules: [
      {
        menu_id: 5,
        menu_short_code: 'footer',
        module_value_id: 1065,
        name: 'menu',
      },
    ],
  };

  return footer;
}
